import React, { useEffect, useState } from 'react';
import { App, H5GroveProvider } from '@h5web/app';
import { ServerConnection } from '@jupyterlab/services';
// Render the App twice on mount as the CSS is not loaded at first render.
function TwoRenderApp() {
    const [isFirstRender, setIsFirstRender] = useState(true);
    useEffect(() => {
        setIsFirstRender(false);
    }, []);
    if (isFirstRender) {
        return null;
    }
    return React.createElement(App, null);
}
function H5webApp(props) {
    const { filePath } = props;
    const { baseUrl } = ServerConnection.makeSettings();
    return (React.createElement("div", { className: "h5web-root" },
        React.createElement(H5GroveProvider, { url: `${baseUrl.endsWith('/') ? baseUrl.slice(0, -1) : baseUrl}/h5web`, filepath: filePath },
            React.createElement(TwoRenderApp, null))));
}
export default H5webApp;
